[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# EBlowFishError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception used to report errors.

## Declaration

Source position: blowfish.pp line 48

`type EBlowFishError = class(EStreamError)`

## Inheritance

`EBlowFishError` |  | Exception used to report errors.
`EStreamError`
`Exception`
`TObject`

## Description

EBlowFishError is used by the TBlowFishStream, TBlowFishEncryptStream and TBlowFishDecryptStream classes to report errors.

## See also

TBlowFishStream |  | Parent class for Blowfish encryption/decryption streams
TBlowFishEncryptStream |  | On-the-fly Blowfish encryption stream
TBlowFishDecryptStream |  | On-the-fly Blowfish decryption stream